package controller

import (
	"github.com/gin-gonic/gin"
	"youngee_m_api/app/service"
)

type WorkspaceController struct{}

type GetTakegoodsInfoParam struct {
	EnterpriseId string `json:"enterprise_id"`
	DateRange    string `json:"days"`
}

func (w WorkspaceController) GetTakegoodsInfo(c *gin.Context) {
	search := &GetTakegoodsInfoParam{}
	err := c.BindJSON(&search)
	if err != nil {
		returnError(c, 40000, "Parameter Error: "+err.Error())
		return
	}
	result := service.EnterpriseService{}.GetEnterpriseTakegoodsInfo(search.EnterpriseId, search.DateRange)

	returnSuccess(c, 20000, result)
}
