package entity

import "time"

type EnterpriseSupplierCooperate struct {
	CooperateId        int64     `gorm:"column:cooperate_id;primary_key;AUTO_INCREMENT"` // 合作表主键ID
	EnterpriseId       string    `gorm:"column:enterprise_id"`                           // 商家ID
	SupplierId         int64     `gorm:"column:supplier_id"`                             // 服务商ID
	CooperateNum       int64     `gorm:"column:cooperate_num"`                           // 受邀合作次数
	UploadTalentNum    int64     `gorm:"column:upload_talent_num"`                       // 提报达人数量
	CooperateTalentNum int64     `gorm:"column:cooperate_talent_num"`                    // 合作达人人数
	SOperator          int64     `gorm:"column:s_operator"`                              // 服务商同意/拒绝邀约操作人
	SOperatorType      int64     `gorm:"column:s_operator_type"`                         // 服务商操作人类型：1主账号，2子账号
	BOperator          string    `gorm:"column:b_operator"`                              // 商家发起入库邀约人
	BOperatorType      int64     `gorm:"column:b_operator_type"`                         // 商家发起入库邀约人类型：1主账号，2子账号
	CooperateStatus    int64     `gorm:"column:cooperate_status"`                        // 邀约状态：1待同意，2已同意，3已拒绝
	CreateTime         time.Time `gorm:"column:create_time"`                             // 合作邀约时间
	AgreeTime          time.Time `gorm:"column:agree_time"`                              // 同意邀约时间
	RejectTime         time.Time `gorm:"column:reject_time"`                             // 拒绝邀约时间
}

func (m *EnterpriseSupplierCooperate) TableName() string {
	return "enterprise_supplier_cooperate"
}
