package entity

type InfoAutoTask struct {
	AutoTaskID        int64 `gorm:"column:auto_task_id;primary_key;AUTO_INCREMENT"` // 自动处理规则id
	EnterpriseId      int64 `gorm:"column:enterprise_id"`                           // 企业id
	SignInOffline     int64 `gorm:"column:sign_in_offline"`                         // 线下探店自动签收时间
	SignInVirtual     int64 `gorm:"column:sign_in_virtual"`                         // 虚拟产品测评自动签收时间
	ReviewInMv        int64 `gorm:"column:review_in_mv"`                            // 视频形式的审稿处理
	ReviewUnlimited   int64 `gorm:"column:review_unlimited"`                        // 不限形式的审稿处理
	PostReview        int64 `gorm:"column:post_review"`                             // 发布审核自动处理
	CaseClose         int64 `gorm:"column:case_close"`                              // 结案自动处理
	Invalid           int64 `gorm:"column:invalid"`                                 // 全流程项目失效自动处理
	DraftDefaultInPic int64 `gorm:"column:draft_default_in_pic"`                    // 图片初稿违约自动处理
	DraftDefaultInMv  int64 `gorm:"column:draft_default_in_mv"`                     // 视频初稿违约自动处理
	ScriptDefault     int64 `gorm:"column:script_default"`                          // 脚本违约自动处理
	LinkBreach        int64 `gorm:"column:link_breach"`                             // 链接违约自动处理
	CaseCloseDefault  int64 `gorm:"column:case_close_default"`                      // 结案违约自动处理
	SelectionInvalid  int64 `gorm:"column:selection_invalid"`                       // 选品项目失效自动处理
}

func (m *InfoAutoTask) TableName() string {
	return "info_auto_task"
}
