package vo

type InvoiceBillParam struct {
	EnterpriseId      string     `json:"enterprise_id"`
	SubAccountId      int64      `json:"sub_account_id"`
	InvoiceAmount     float64    `json:"invoice_amount"`     // 开票金额
	InvoiceBody       string     `json:"invoice_body"`       // 开票方信息
	InvoiceContent    string     `json:"invoice_content"`    // 发票内容
	InvoiceType       int64      `json:"invoice_type"`       // 发票类型（1数电普票 2数电专票）
	InvoiceHead       string     `json:"invoice_head"`       // 发票抬头（企业名称）
	TaxCode           string     `json:"tax_code"`           // 企业税号
	RegisteredAddress string     `json:"registered_address"` // 企业注册地址
	RegisteredPhone   string     `json:"registered_phone"`   // 企业注册电话
	Bank              string     `json:"bank"`               // 开户银行
	BankCardNumber    string     `json:"bank_card_number"`   // 银行账号
	TaskIds           [][]string `json:"task_ids"`           // 账单列表
}

type InvoiceBillListParam struct {
	EnterpriseId string `json:"enterprise_id"`
	SubAccountId int64  `json:"sub_account_id"`
	BillStatus   int64  `json:"bill_status"` // 开票状态：1开票中 2已开票
	Page         int    `json:"page"`
	PageSize     int    `json:"page_size"`
}
