package vo

type LocalCreateParam struct {
	EnterpriseId      string  `json:"enterprise_id"`
	SubAccountId      int64   `json:"sub_account_id"`
	Platform          int64   `json:"platform"`
	LocalType         int64   `json:"local_type"` // 项目类型，1代表全流程项目，2代表专项项目
	ServiceChargeRate float64 `json:"service_charge_rate"`
	StoreId           int64   `json:"store_id"`       // 门店id
	PromoteBody       int64   `json:"promote_body"`   // 推广主体（1门店 2团购）
	Donate            int64   `json:"donate"`         // 赠送达人套餐（1有赠送 2无赠送）
	TeamBuyingId      int64   `json:"team_buying_id"` // 团购id

	LocalName        string                       `json:"local_name"`        // 项目名称（任务标题）
	TalentType       string                       `json:"talent_type"`       // 达人类型（,分隔）
	RecruitDdl       string                       `json:"recruit_ddl"`       // 招募截止时间
	RecruitStrategys []CreateLocalRecruitStrategy `json:"recruit_strategys"` // 招募策略

	TaskForm      int64                `json:"task_form"`    // 项目形式，1-2分别代表线下探店,素材分发
	ContentType   int64                `json:"content_type"` // 内容形式，1代表图文，2代表视频
	TaskDetail    string               `json:"task_detail"`  // 项目详情
	Tools         string               `json:"tools"`        // 工具选择 1邀约招募 2结算账单 3样品物流 4审稿工具 5作品审查 6数据巡检（,分隔）
	LocalBrief    []*LocalBriefInfo    `json:"local_brief"`
	LocalMaterial []*LocalMaterialInfo `json:"local_material"`
}

type LocalBriefInfo struct {
	FileUrl string `json:"file_url"`
	FileUid string `json:"file_uid"`
	Name    string `json:"name"`
	Type    int64  `json:"type"` // 手卡类型（1图片 2文档）
}

type LocalMaterialInfo struct {
	FileUrl string `json:"file_url"`
	FileUid string `json:"file_uid"`
	Name    string `json:"name"`
	Type    int64  `json:"type"` // 素材类型（1图片 2视频）
}

// 招募策略
type CreateLocalRecruitStrategy struct {
	StrategyID    int64   `json:"strategy_id"`    // 策略id
	FeeForm       int64   `json:"fee_form"`       // 稿费形式，1-3分别代表无费置换、一口价、自报价
	FollowersLow  int64   `json:"followers_low"`  // 达人粉丝数下限
	FollowersUp   int64   `json:"followers_up"`   // 达人粉丝数上限
	RecruitNumber int64   `json:"recruit_number"` // 招募数量
	Offer         float64 `json:"offer"`          // 报价
	ServiceCharge float64 `json:"service_charge"` // 服务费
}
