package vo

type ProductPhoto struct {
	PhotoUrl string `json:"photo_url"` // 图片或视频url
	PhotoUid string `json:"photo_uid"`
	Symbol   int64  `json:"symbol"` // 图片为主图或详情图标志位，1为主图，2为轮播图，3为轮播视频. 4为详情图. 5为详情视频
}

type ProductCreateParam struct {
	EnterpriseId        string         `json:"enterprise_id"`        // 要绑定的企业id
	SubAccountId        int64          `json:"sub_account_id"`       // 子账号id
	ProductType         int64          `json:"product_type"`         // 商品类型（0一般商品 1快手商品）
	ProductName         string         `json:"product_name"`         // 商品标题
	ProductId           string         `json:"product_id"`           // 快手商品ID
	ProductCategory     string         `json:"product_category"`     // 商品类目
	ProductDetail       string         `json:"product_detail"`       // 卖点总结
	ProductPrice        float64        `json:"product_price"`        // 商品价值
	ExclusiveCommission float64        `json:"exclusive_commission"` // 专属佣金
	CommissionPrice     float64        `json:"commission_price"`     // 佣金金额
	PublicCommission    float64        `json:"public_commission"`    // 公开佣金
	ProductPhotos       []ProductPhoto `json:"product_photos"`       // 商品图片列表
	SalesCount          string         `json:"column:sales_count"`   // 商品30天销量
	ProductUrl          string         `json:"product_url"`          // 商品链接，可为电商网址、公司官网、大众点评的店铺地址等可以说明商品信息或者品牌信息的线上地址；
}
