package vo

type ProductUpdateParam struct {
	ProductId           int64          `json:"product_id"`           // 商品ID(注：非导入解析项商品ID)
	ProductName         string         `json:"product_name"`         // 商品标题
	ProductCategory     string         `json:"product_category"`     // 商品类目
	ProductPrice        float64        `json:"product_price"`        // 商品价值
	ExclusiveCommission float64        `json:"exclusive_commission"` // 专属佣金
	CommissionPrice     float64        `json:"commission_price"`     // 佣金金额
	ProductDetail       string         `json:"product_detail"`       // 卖点总结
	ProductPhotos       []ProductPhoto `json:"product_photos"`       // 商品图片列表
	ProductUrl          string         `json:"product_url"`          // 商品链接，可为电商网址、公司官网、大众点评的店铺地址等可以说明商品信息或者品牌信息的线上地址；
	PublicCommission    float64        `json:"public_commission"`    // 公开佣金
}
