package vo

type ProjectUpdateParam struct {
	EnterpriseId      string  `json:"enterprise_id"`
	SubAccountId      int64   `json:"sub_account_id"`
	ProjectID         string  `json:"project_id"`
	ProductId         int64   `json:"product_id"`
	ServiceChargeRate float64 `json:"service_charge_rate"`
	ProjectType       int64   `json:"project_type"` // 项目类型，1代表全流程项目，2代表专项项目
	//ProjectStatus     int64                   `json:"project_status"`    // 项目状态，1-10分别代表创建中、待审核、审核通过、招募中、招募完毕、待支付、已支付、失效、执行中、已结案
	ProjectName      string                  `json:"task_name"`         // 项目名称（任务标题）
	TalentType       string                  `json:"talent_type"`       // 达人类型
	RecruitDdl       string                  `json:"recruit_ddl"`       // 招募截止时间
	RecruitStrategys []CreateRecruitStrategy `json:"recruit_strategys"` // 招募策略

	ProjectForm     int64                  `json:"project_form"`   // 项目形式，1-3分别代表商品寄拍、素材分发、虚拟产品测评
	ContentType     int64                  `json:"content_type"`   // 内容形式，1代表图文，2代表视频
	ProjectDetail   string                 `json:"project_detail"` // 项目详情
	Tools           string                 `json:"tools"`          // 工具选择 1邀约招募 2结算账单 3样品物流 4审稿工具 5作品审查 6数据巡检（,分隔）
	ProjectBrief    []*ProjectBriefInfo    `json:"project_brief"`
	ProjectMaterial []*ProjectMaterialInfo `json:"project_material"`
}
