package vo

import (
	"youngee_m_api/app/entity"
)

type ReLocalDetail struct {
	// 系统信息
	LocalId           string  `json:"localId"`           // 项目id
	LocalStatus       int64   `json:"localStatus"`       // 项目状态，1-10分别代表创建中、待审核、审核通过、招募中、招募完毕、待支付、已支付、执行中、失效、已结案
	LocalPlatform     int64   `json:"localPlatform"`     //  项目平台，1-7分别代表红book、抖音、微博、快手、b站、大众点评、知乎
	CreatedAt         string  `json:"createdAt"`         // 创建时间
	CreatorName       string  `json:"creatorName"`       // 创建者
	Phone             string  `json:"phone"`             // 联系方式
	WX                string  `json:"wx"`                // 微信
	EstimatedCost     float64 `json:"estimatedCost"`     // 成本预估
	ServiceChargeRate float64 `json:"serviceChargeRate"` // 公开服务费率
	// 支付方式参数待定
	// 关联主体
	StoreInfo      *ReStorePreview      `json:"storeInfo"`
	PromoteBody    int64                `json:"promoteBody"`
	TeamBuyingInfo *ReTeamBuyingPreview `json:"teamBuyingInfo"`
	Donate         int64                `json:"donate"`
	// 招募要求
	TalentType       string                  `json:"talentType"`
	RecruitDdl       string                  `json:"recruitDdl"`
	RecruitStrategys []*LocalRecruitStrategy `json:"recruitStrategys"` // 招募策略
	// 执行要求
	TaskForm      int64                     `json:"taskForm"`
	ContentType   int64                     `json:"contentType"`
	TaskDetail    string                    `json:"taskDetail"`
	TaskBriefs    []*entity.ProjectBrief    `json:"taskBriefs"`    // 选品brief列表
	TaskMaterials []*entity.ProjectMaterial `json:"taskMaterials"` // 选品示例列表
	Tools         string                    `json:"tools"`         // 工具选择
}

type LocalRecruitStrategy struct {
	StrategyId     int64   `json:"strategyId"`
	FeeForm        int64   `json:"feeForm"`
	FollowersLow   int64   `json:"followersLow"`
	FollowersUp    int64   `json:"followersUp"`
	RecruitNumber  int64   `json:"recruitNumber"`
	Offer          float64 `json:"offer"`
	TOffer         float64 `json:"tOffer"` // 达人所见报价
	ServiceCharge  float64 `json:"serviceCharge"`
	SelectedNumber int64   `json:"selectedNumber"` // 确认合作数量
	TotalOffer     float64 `json:"totalOffer"`     // 合计
}
