package vo

import (
	"youngee_m_api/app/entity"
)

type ReProjectDetail struct {
	ProjectName string `json:"projectName"` // 任务标题
	// 系统信息
	ProjectId         string  `json:"projectId"`         // 项目id 生成规则:年(2位)+一年中的第几天(3位)+5位数随机数，雪花算法也可，生成10位订单号
	ProjectStatus     int64   `json:"projectStatus"`     // 项目状态，1-10分别代表创建中、待审核、审核通过、招募中、招募完毕、待支付、已支付、执行中、失效、已结案
	ProjectPlatform   int64   `json:"projectPlatform"`   //  项目平台，1-7分别代表红book、抖音、微博、快手、b站、大众点评、知乎
	CreatedAt         string  `json:"createdAt"`         // 创建时间
	CreatorName       string  `json:"creatorName"`       // 创建者
	Phone             string  `json:"phone"`             // 联系方式
	WX                string  `json:"wx"`                // 微信
	EstimatedCost     float64 `json:"estimatedCost"`     // 成本预估
	ServiceChargeRate float64 `json:"serviceChargeRate"` // 公开服务费率
	// 支付方式参数待定
	// 关联商品
	ProductInfo *ReProductPreview `json:"productInfo"`
	// 招募要求
	TalentType       string                    `json:"talentType"`
	RecruitDdl       string                    `json:"recruitDdl"`
	ProjectForm      int64                     `json:"projectForm"`
	ContentType      int64                     `json:"contentType"`
	ProjectDetail    string                    `json:"projectDetail"`
	RecruitStrategys []*RecruitStrategyPreview `json:"recruitStrategys"` // 招募策略
	// 执行要求
	ProjectBriefs    []*entity.ProjectBrief    `json:"projectBriefs"`    // 选品brief列表
	ProjectMaterials []*entity.ProjectMaterial `json:"projectMaterials"` // 选品示例列表
	Tools            string                    `json:"tools"`            // 工具选择
}

type RecruitStrategyPreview struct {
	StrategyId     int64   `json:"strategyId"`
	FeeForm        int64   `json:"feeForm"`
	FollowersLow   int64   `json:"followersLow"`
	FollowersUp    int64   `json:"followersUp"`
	RecruitNumber  int64   `json:"recruitNumber"`
	Offer          float64 `json:"offer"`
	TOffer         float64 `json:"tOffer"` // 达人所见报价
	ServiceCharge  float64 `json:"serviceCharge"`
	SelectedNumber int64   `json:"selectedNumber"` // 确认合作数量
	TotalOffer     float64 `json:"totalOffer"`     // 合计
}
