package vo

type TeamBuyingPhoto struct {
	PhotoUrl string `json:"photo_url"` // 图片或视频url
	PhotoUid string `json:"photo_uid"`
	Symbol   int64  `json:"symbol"` // 图片为主图或详情图标志位，1为主图，2为轮播图，3为轮播视频. 4为详情图. 5为详情视频
}

type TeamBuyingCreateParam struct {
	StoreId            int64             `json:"store_id"`             // 要绑定的门店id
	TeamBuyingName     string            `json:"team_buying_name"`     // 团购标题
	TeamBuyingCategory string            `json:"team_buying_category"` // 团购类目（/分隔）
	TeamBuyingPrice    float64           `json:"team_buying_price"`    // 团购售价
	PublicCommission   int64             `json:"public_commission"`    // 公开佣金%
	TeamBuyingDetail   string            `json:"team_buying_detail"`   // 团购详情
	TeamBuyingLink     string            `json:"team_buying_link"`     // 分销链接
	TeamBuyingPhotos   []TeamBuyingPhoto `json:"team_buying_photos"`   // 图片列表
	EnterpriseId       string            `json:"enterprise_id"`        // 操作企业id
	SubAccountId       int64             `json:"sub_account_id"`
}
