package handler

import (
	"github.com/gin-gonic/gin"
	"github.com/sirupsen/logrus"
	log "github.com/sirupsen/logrus"
	"youngee_m_api/consts"
	"youngee_m_api/db"
	"youngee_m_api/model/http_model"
	"youngee_m_api/util"
)

func WrapAcceptRechargeHandler(ctx *gin.Context) {
	handler := newAcceptRechargeHandler(ctx)
	BaseRun(handler)
}

func newAcceptRechargeHandler(ctx *gin.Context) *AcceptRechargeHandler {
	return &AcceptRechargeHandler{
		req:  http_model.NewAcceptRechargeRequest(),
		resp: http_model.NewAcceptRechargeResponse(),
		ctx:  ctx,
	}
}

type AcceptRechargeHandler struct {
	req  *http_model.AcceptRechargeRequest
	resp *http_model.CommonResponse
	ctx  *gin.Context
}

func (h *AcceptRechargeHandler) getRequest() interface{} {
	return h.req
}
func (h *AcceptRechargeHandler) getContext() *gin.Context {
	return h.ctx
}
func (h *AcceptRechargeHandler) getResponse() interface{} {
	return h.resp
}

func (h *AcceptRechargeHandler) run() {
	data := http_model.AcceptRechargeRequest{}
	data = *h.req
	res, err := db.AcceptRecharge(h.ctx, data)
	if err != nil {
		logrus.Errorf("[AcceptRechargeHandler] call AcceptRecharge err:%+v\n", err)
		util.HandlerPackErrorResp(h.resp, consts.ErrorInternal, "")
		log.Info("AcceptRecharge fail,req:%+v", h.req)
		return
	}
	h.resp.Message = "成功同意充值"
	h.resp.Data = res
	h.resp.Status = consts.ErrorSuccess
}

func (h *AcceptRechargeHandler) checkParam() error {
	return nil
}
