package handler

import (
	"github.com/gin-gonic/gin"
	"github.com/sirupsen/logrus"
	"youngee_m_api/consts"
	"youngee_m_api/db"
	"youngee_m_api/model/http_model"
	"youngee_m_api/util"
)

func WrapDeleteSubAccountHandler(ctx *gin.Context) {
	handler := newDeleteSubAccountHandler(ctx)
	BaseRun(handler)
}

type DeleteSubAccount struct {
	ctx  *gin.Context
	req  *http_model.DeleteSubAccountRequest
	resp *http_model.CommonResponse
}

func (d DeleteSubAccount) getContext() *gin.Context {
	return d.ctx
}

func (d DeleteSubAccount) getResponse() interface{} {
	return d.resp
}

func (d DeleteSubAccount) getRequest() interface{} {
	return d.req
}

func (d DeleteSubAccount) run() {
	err := db.DeleteSubAccount(d.ctx, d.req)
	if err != nil {
		logrus.Errorf("[DeleteSubAccountHandler] call Delete err:%+v\n", err)
		util.HandlerPackErrorResp(d.resp, consts.ErrorInternal, "")
		logrus.Info("DeleteSubAccount fail,req:%+v", d.req)
		return
	}
	d.resp.Message = "删除成功"
}

func (d DeleteSubAccount) checkParam() error {
	return nil
}

func newDeleteSubAccountHandler(ctx *gin.Context) *DeleteSubAccount {
	return &DeleteSubAccount{
		ctx:  ctx,
		req:  http_model.NewDeleteSubAccountRequest(),
		resp: http_model.NewDeleteSubAccountResponse(),
	}
}
