package handler

import (
	"github.com/gin-gonic/gin"
	"github.com/sirupsen/logrus"
	"youngee_m_api/consts"
	"youngee_m_api/db"
	"youngee_m_api/model/http_model"
	"youngee_m_api/util"
)

func WrapGetBillTaskListHandler(ctx *gin.Context) {
	handler := newGetBillTaskListHandler(ctx)
	BaseRun(handler)
}

type GetBillTaskList struct {
	ctx  *gin.Context
	req  *http_model.GetBillTaskListRequest
	resp *http_model.CommonResponse
}

func (c GetBillTaskList) getContext() *gin.Context {
	return c.ctx
}

func (c GetBillTaskList) getResponse() interface{} {
	return c.resp
}

func (c GetBillTaskList) getRequest() interface{} {
	return c.req
}

func (c GetBillTaskList) run() {
	data := *c.req
	res, err := db.GetBillTaskList(c.ctx, data)
	if err != nil {
		logrus.Errorf("[GetBillTaskList] call GetBillTaskList err:%+v\n", err)
		util.HandlerPackErrorResp(c.resp, consts.ErrorInternal, "")
		logrus.Info("GetBillTaskList fail,req:%+v", c.req)
		return
	}
	c.resp.Message = "成功查询开票列表"
	c.resp.Data = res
}

func (c GetBillTaskList) checkParam() error {
	return nil
}

func newGetBillTaskListHandler(ctx *gin.Context) *GetBillTaskList {
	return &GetBillTaskList{
		ctx:  ctx,
		req:  http_model.NewGetBillTaskListRequest(),
		resp: http_model.NewGetBillTaskListResponse(),
	}
}
