package handler

import (
	"github.com/gin-gonic/gin"
	"github.com/sirupsen/logrus"
	"youngee_m_api/consts"
	"youngee_m_api/db"
	"youngee_m_api/model/http_model"
	"youngee_m_api/util"
)

func WrapProjectReviewNumberHandler(ctx *gin.Context) {
	handler := newProjectReviewNumberHandler(ctx)
	BaseRun(handler)
}

type ProjectReviewNumberHandler struct {
	ctx  *gin.Context
	req  *http_model.ProjectReviewNumberRequest
	resp *http_model.CommonResponse
}

func (g ProjectReviewNumberHandler) getContext() *gin.Context {
	return g.ctx
}

func (g ProjectReviewNumberHandler) getResponse() interface{} {
	return g.resp
}

func (g ProjectReviewNumberHandler) getRequest() interface{} {
	return g.req
}

func (g ProjectReviewNumberHandler) run() {
	data, err := db.ProjectReviewNumber(g.ctx)
	if err != nil {
		logrus.WithContext(g.ctx).Errorf("[ProjectReviewNumberHandler] error ProjectReviewNumber, err:%+v", err)
		util.HandlerPackErrorResp(g.resp, consts.ErrorInternal, consts.DefaultToast)
		return
	}
	g.resp.Data = data
}

func (g ProjectReviewNumberHandler) checkParam() error {
	return nil
}

func newProjectReviewNumberHandler(ctx *gin.Context) *ProjectReviewNumberHandler {
	return &ProjectReviewNumberHandler{
		ctx:  ctx,
		req:  http_model.NewProjectReviewNumberRequest(),
		resp: http_model.NewProjectReviewNumberResponse(),
	}
}
