package handler

import (
	"youngee_m_api/consts"
	"youngee_m_api/model/http_model"
	"youngee_m_api/service"
	"youngee_m_api/util"

	"github.com/gin-gonic/gin"
	"github.com/sirupsen/logrus"
)

func WrapReviewLocallifeHandler(ctx *gin.Context) {
	handler := newReviewLocallifeHandler(ctx)
	BaseRun(handler)
}

type ReviewLocallife struct {
	ctx  *gin.Context
	req  *http_model.ReviewLocallifeRequest
	resp *http_model.CommonResponse
}

func (c ReviewLocallife) getContext() *gin.Context {
	return c.ctx
}

func (c ReviewLocallife) getResponse() interface{} {
	return c.resp
}

func (c ReviewLocallife) getRequest() interface{} {
	return c.req
}

func (c ReviewLocallife) run() {
	data := http_model.ReviewLocallifeRequest{}
	data = *c.req
	res, err := service.LocalTask.Review(c.ctx, data)
	if err != nil {
		logrus.Errorf("[ReviewLocallife] call ReviewLocallife err:%+v\n", err)
		util.HandlerPackErrorResp(c.resp, consts.ErrorInternal, "")
		logrus.Info("ReviewLocallife fail,req:%+v", c.req)
		return
	}
	if data.IsPass == 1 {
		c.resp.Message = "审核成功"
	}
	c.resp.Data = res
}

func (c ReviewLocallife) checkParam() error {
	return nil
}

func newReviewLocallifeHandler(ctx *gin.Context) *ReviewLocallife {
	return &ReviewLocallife{
		ctx:  ctx,
		req:  http_model.NewReviewLocallifeRequest(),
		resp: http_model.NewReviewLocallifeResponse(),
	}
}
