package handler

import (
	"github.com/gin-gonic/gin"
	"github.com/sirupsen/logrus"
	"youngee_m_api/consts"
	"youngee_m_api/db"
	"youngee_m_api/model/http_model"
	"youngee_m_api/util"
)

func WarpGetSupplierWithdrawPrevalueHandler(ctx *gin.Context) {
	handler := newGetSupplierWithdrawPrevalueHandler(ctx)
	BaseRun(handler)
}

type GetSupplierWithdrawPrevalueHandler struct {
	ctx  *gin.Context
	req  *http_model.GetSupplierWithdrawPrevalueRequest
	resp *http_model.CommonResponse
}

func (g GetSupplierWithdrawPrevalueHandler) getContext() *gin.Context {
	return g.ctx
}

func (g GetSupplierWithdrawPrevalueHandler) getResponse() interface{} {
	return g.resp
}

func (g GetSupplierWithdrawPrevalueHandler) getRequest() interface{} {
	return g.req
}

func (g GetSupplierWithdrawPrevalueHandler) run() {
	req := g.req
	data, err := db.GetSupplierWithdrawPrevalue(g.ctx, *req)
	if err != nil {
		logrus.WithContext(g.ctx).Errorf("[GetSupplierWithdrawPrevalueHandler] error GetSupplierWithdrawPrevalue, err:%+v", err)
		util.HandlerPackErrorResp(g.resp, consts.ErrorInternal, consts.DefaultToast)
		return
	}
	g.resp.Data = data
}

func (g GetSupplierWithdrawPrevalueHandler) checkParam() error {
	return nil
}

func newGetSupplierWithdrawPrevalueHandler(ctx *gin.Context) *GetSupplierWithdrawPrevalueHandler {
	return &GetSupplierWithdrawPrevalueHandler{
		ctx:  ctx,
		req:  http_model.NewGetSupplierWithdrawPrevalueRequest(),
		resp: http_model.NewGetSupplierWithdrawPrevalueResponse(),
	}
}
