package gorm_model

import "time"

type PlatformKuaishouUserInfo struct {
	Id           int       `gorm:"column:id;primary_key;AUTO_INCREMENT"` // ID
	OpenId       string    `gorm:"column:open_id"`                       // 快手openid
	PlatformId   int       `gorm:"column:platform_id"`                   // 平台id
	TalentId     string    `gorm:"column:talent_id"`                     // 达人id
	Code         string    `gorm:"column:code"`                          // 扫码后获得的临时票据
	AccessToken  string    `gorm:"column:access_token"`                  // 扫码后获得的临时票据
	RefreshToken string    `gorm:"column:refresh_token"`                 // 用于刷新access_token
	NickName     string    `gorm:"column:nick_name;type:varchar(255);comment:快手昵称" json:"nick_name"`
	HeadUri      string    `gorm:"column:head_uri;type:varchar(255);comment:用户头像" json:"head_uri"`
	Fan          string    `gorm:"column:fan;type:varchar(255);comment:用户粉丝数" json:"fan"`
	Expired      int       `gorm:"column:expired;type:tinyint(4);comment:access_token是否可用" json:"expired"`
	SaleNum30Day int       `gorm:"column:sale_num_30day;type:int(11);comment:30日销量" json:"sale_num_30day"`
	SaleNumTotal int       `gorm:"column:sale_num_total;type:int(11);comment:总销量" json:"sale_num_total"`
	CreateTime   time.Time `gorm:"column:create_time;type:datetime;comment:创建时间" json:"create_time"`
	UpdateTime   time.Time `gorm:"column:update_time;type:datetime;comment:更新时间" json:"update_time"`
	IsDelete     int       `gorm:"column:is_delete;type:int(11);default:0;comment:是否被删除" json:"is_delete"`
	LikeNum      int       `gorm:"column:like_num;type:int(11);default:0;comment:点赞数" json:"like_num"`
	VideoNum     int       `gorm:"column:video_num;type:int(11);default:0;comment:作品数" json:"video_num"`
	Gender       string    `gorm:"column:gender;type:varchar(255);comment:快手性别" json:"gender"`
	City         string    `gorm:"column:city;type:varchar(255);comment:快手用户城市所在地" json:"city"`
}

func (m *PlatformKuaishouUserInfo) TableName() string {
	return "platform_kuaishou_user_info"
}
