package gorm_model

import (
	"time"
)

type YounggeeProduct struct {
	ProductID           int64     `gorm:"column:product_id;primary_key;AUTO_INCREMENT"` // 商品id
	ProductName         string    `gorm:"column:product_name"`                          // 商品名称
	ProductType         int64     `gorm:"column:product_type"`                          // 商品类型
	ShopAddress         string    `gorm:"column:shop_address"`                          // 店铺地址，商品类型为线下品牌时需填写
	ProductPrice        float64   `gorm:"column:product_price"`                         // 商品价值
	ProductDetail       string    `gorm:"column:product_detail"`                        // 商品详情
	ProductUrl          string    `gorm:"column:product_url"`                           // 商品链接，可为电商网址、公司官网、大众点评的店铺地址等可以说明商品信息或者品牌信息的线上地址；
	EnterpriseID        string    `gorm:"column:enterprise_id"`                         // 所属企业id
	CreatedAt           time.Time `gorm:"column:created_at"`                            // 创建时间
	UpdatedAt           time.Time `gorm:"column:updated_at"`                            // 更新时间
	BrandName           string    `gorm:"column:brand_name"`                            // 品牌名称
	PublicCommission    float64   `gorm:"column:public_commission"`                     // 公开佣金
	ExclusiveCommission float64   `gorm:"column:exclusive_commission"`                  // 专属佣金
	CommissionPrice     float64   `gorm:"column:commission_price"`                      // 佣金金额
	KuaishouProductId   int64     `gorm:"column:kuaishou_product_id"`                   // 快手商品ID
	SalesCount          string    `gorm:"column:sales_count"`                           // 商品30天销量
}

func (m *YounggeeProduct) TableName() string {
	return "younggee_product"
}
