// Code generated by sql2gorm. DO NOT EDIT.
package gorm_model

import (
	"time"
)

type ProjectInfo struct {
	ID                int64      `gorm:"column:id;primary_key;auto_increment"`           // 自增id
	ProjectID         string     `gorm:"column:project_id;type:varchar(10);not null"`    // 项目id
	ProjectName       string     `gorm:"column:project_name;type:varchar(100)"`          // 项目名称
	ProjectStatus     int64      `gorm:"column:project_status;type:tinyint"`             // 项目状态，1-10分别代表创建中、待审核、审核通过、招募中、招募完毕、待支付、已支付、执行中、失效、已结案
	ProjectType       int64      `gorm:"column:project_type;type:tinyint"`               // 项目类型，1代表公开，2代表定向
	ProjectPlatform   int64      `gorm:"column:project_platform;type:tinyint"`           // 项目平台，1-7分别代表小红书、抖音、微博、快手、b站、大众点评、知乎
	ProjectForm       int64      `gorm:"column:project_form;type:tinyint"`               // 项目形式，1-3分别代表商品寄拍、素材分发、虚拟产品测评
	TalentType        string     `gorm:"column:talent_type;type:text"`                   // 达人类型（,分隔）
	RecruitDdl        *time.Time `gorm:"column:recruit_ddl;type:timestamp"`              // 招募截止时间
	ContentType       int64      `gorm:"column:content_type;type:tinyint"`               // 内容形式，1代表图文，2代表视频
	ProjectDetail     string     `gorm:"column:project_detail;type:varchar(1000)"`       // 项目详情
	ApplyNum          int64      `gorm:"column:apply_num;type:int;default:0;not null"`   // 报名人数
	RecruitNum        int64      `gorm:"column:recruit_num;type:int;default:0;not null"` // 已招募人数
	SettleNum         int64      `gorm:"column:settle_num;type:int(11);default:0;comment:结案人数;NOT NULL" json:"settle_num"`
	EnterpriseID      string     `gorm:"column:enterprise_id;type:varchar(10)"`                                                  // 所属企业id
	SubAccountID      int64      `gorm:"column:sub_account_id;type:int;default:0;not null"`                                      // 子账号id
	ProductID         int64      `gorm:"column:product_id;type:int"`                                                             // 关联商品id
	ProductCategory   string     `gorm:"column:product_category;type:varchar(10);default:'0'"`                                   // 商品类目1--20
	CreatedAt         *time.Time `gorm:"column:created_at;type:timestamp"`                                                       // 创建时间
	UpdatedAt         *time.Time `gorm:"column:updated_at;type:timestamp;default:CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP"` // 修改时间
	FeeForm           string     `gorm:"column:fee_form;type:varchar(20)"`                                                       // 稿费形式列表(3.0暂未用)
	AutoFailAt        *time.Time `gorm:"column:auto_fail_at;type:timestamp"`                                                     // 失效自动处理时间
	AutoTaskID        int64      `gorm:"column:auto_task_id;type:int;default:0;not null"`                                        // 定时任务id
	AutoDefaultID     int64      `gorm:"column:auto_default_id;type:int;default:0;not null"`                                     // 违约状态id
	PaymentAmount     float64    `gorm:"column:payment_amount;type:decimal(10,2)"`                                               // 支付金额
	PayAt             *time.Time `gorm:"column:pay_at;type:timestamp"`                                                           // 支付时间
	AutoScriptBreakAt *time.Time `gorm:"column:auto_script_break_at;type:timestamp"`                                             // 脚本违约自动处理时间
	AutoSketchBreakAt *time.Time `gorm:"column:auto_sketch_break_at;type:timestamp"`                                             // 初稿违约自动处理时间
	FailReason        int64      `gorm:"column:fail_reason;type:tinyint"`                                                        // 失效原因，1、2分别表示逾期未支付、项目存在风险
	PassAt            *time.Time `gorm:"column:pass_at;type:timestamp"`                                                          // 审核通过时间
	FinishAt          *time.Time `gorm:"column:finish_at;type:timestamp"`                                                        // 结案时间
	EstimatedCost     float64    `gorm:"column:estimated_cost;type:decimal(10,2)"`                                               // 预估成本
	IsRead            int64      `gorm:"column:is_read;type:int"`                                                                // 是否已读
	SettlementAmount  float64    `gorm:"column:settlement_amount;type:decimal(10,2)"`                                            // 结算金额
	ProductSnap       string     `gorm:"column:product_snap;type:json"`                                                          // 商品信息快照
	ProductPhotoSnap  string     `gorm:"column:product_photo_snap;type:json"`                                                    // 商品图片快照
	SubmitAt          *time.Time `gorm:"column:submit_at;type:timestamp"`                                                        // 提交审核时间
	NeedReview        int64      `gorm:"column:need_review;type:int;default:0;not null"`                                         // 待审稿
	NeedQuality       int64      `gorm:"column:need_quality;type:int;default:0;not null"`                                        // 待质检
	NeedCalculate     int64      `gorm:"column:need_calculate;type:int;default:0;not null"`                                      // 待结算
	ServiceChargeRate float64    `gorm:"column:service_charge_rate;type:decimal(10,2);default:0.00;not null"`                    // 公开服务费率
	OperatorType      *int64     `gorm:"column:operator_type;type:int"`                                                          // 创建者类型，1商家主账号，2商家子账号
	TotalRecruitNum   *int64     `gorm:"column:total_recruit_num;type:int"`                                                      // 此任务各策略招募人数总和
	ViewNum           int64      `gorm:"column:view_num;type:int;default:0"`                                                     // 浏览量
	Tools             string     `gorm:"column:tools;type:varchar(255);default:'';not null"`                                     // 工具选择，1邀约招募 2样品物流 3审稿工具 4作品审查 5数据巡检 6结算账单（,分隔）
	InvoiceStatus     int64      `gorm:"column:invoice_status;type:int;default:0;not null"`                                      // 开票状态（1开票中 2已开票）
	CreateTime        *time.Time `gorm:"column:create_time;type:datetime"`                                                       // 创建时间
	BeforeDeliveryNum int64      `gorm:"column:before_delivery_num;type:int;default:0;not null"`                                 // 待发货数量
	DeliveryNum       int64      `gorm:"column:delivery_num;type:int;default:0;not null"`                                        // 已发货数量
	AfterDeliveryNum  int64      `gorm:"column:after_delivery_num;type:int;default:0;not null"`                                  // 已签收数量
}

func (m *ProjectInfo) TableName() string {
	return "project_info"
}
