package gorm_model

import (
	"time"
)

type YounggeeWithdrawRecord struct {
	WithdrawID     string    `gorm:"column:withdraw_id;type:char(20);primary_key;comment:提现订单ID" json:"withdraw_id"`
	TalentID       string    `gorm:"column:talent_id;type:char(25);comment:达人id" json:"talent_id"`
	WithdrawAmount float64   `gorm:"column:withdraw_amount;type:decimal(10,2);comment:提现金额" json:"withdraw_amount"`
	AmountPayable  float64   `gorm:"column:amount_payable;type:decimal(10,2);comment:应付金额" json:"amount_payable"`
	PayPoint       int       `gorm:"column:pay_point;type:int(11);comment:抵扣积分" json:"pay_point"`
	IncomeIdList   string    `gorm:"column:income_id_list;type:varchar(2000);comment:该提现订单包含的income_id列表" json:"income_id_list"`
	ReceiveInfo    string    `gorm:"column:receive_info;type:json;comment:收款信息" json:"receive_info"`
	Status         int       `gorm:"column:status;type:int(11);comment:提现状态：1为提现中，2为已提现, 3,为提现失败" json:"status"`
	BankType       int       `gorm:"column:bank_type;type:tinyint(4);comment:到账方式，1为支付宝，2为银行卡" json:"bank_type"`
	SubmitAt       time.Time `gorm:"column:submit_at;type:datetime;comment:申请提交时间" json:"submit_at"`
	WithdrawAt     time.Time `gorm:"column:withdraw_at;type:datetime;comment:提现时间" json:"withdraw_at"`
	TaxAmount      float64   `gorm:"column:tax_amount;type:float;comment:扣税" json:"tax_amount"`
	RejectReason   string    `gorm:"column:reject_reason;type:varchar(255);comment:拒绝理由" json:"reject_reason"`
	RejectAt       time.Time `gorm:"column:reject_at;type:datetime;comment:拒绝时间 " json:"reject_at"`
	Name           string    `gorm:"column:name;type:varchar(255);comment:提现人姓名" json:"name"`
	IdcardNum      string    `gorm:"column:idcard_num;type:varchar(20);comment:身份证号" json:"idcard_num"`
	BankNum        string    `gorm:"column:bank_num;type:varchar(100);comment:银行卡号" json:"bank_num"`
	PhoneNum       string    `gorm:"column:phone_num;type:varchar(20);comment:手机号" json:"phone_num"`
}

func (m *YounggeeWithdrawRecord) TableName() string {
	return "younggee_withdraw_record"
}
