package http_model

import "youngee_m_api/model/gorm_model"

type SubAccountDetailRequest struct {
	PageSize       int     `json:"page_size"`
	PageNum        int     `json:"page_num"`
	JobId          *int    `json:"job_id,omitempty"`           // 可选的岗位类型
	AccountStatus  *int    `json:"account_status,omitempty"`   // 可选的账号状态
	PhoneNumber    *string `json:"phone_number,omitempty"`     // 可选的手机号
	SubAccountName *string `json:"sub_account_name,omitempty"` // 可选的账号名称
}

type SubAccountDetailResponse struct {
	SubAccountInfo gorm_model.YounggeeSubAccount //子账号详情
	Creater        string                        `json:"creater"`
}

type SubAccountData struct {
	SubAccountInfo []*SubAccountDetailResponse `json:"SubAccountData"`
	Total          string                      `json:"total"`
}

func NewSubAccountDetailRequest() *SubAccountDetailRequest {
	return new(SubAccountDetailRequest)
}

func NewSubAccountDetailResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(SubAccountData)
	return resp
}
