package http_model

import "time"

type GetLocalTaskListRequest struct {
	PageSize       int    `json:"page_size"`
	PageNum        int    `json:"page_num"`
	TalentFromList string `json:"talent_from_list"`
	FeeFrom        *int   `json:"fee_from,omitempty"`
	Type           *int   `json:"type,omitempty"` // 查询类型，1、2分别表示达人来源于公海(商家端)，服务商
	ProjectId      string `json:"project_id"`
	CoopType       int    `json:"coop_type"` //1未处理,2同意，3拒绝
	EnterPriseId   string `json:"enterprise_id"`
}

type GetLocalTaskListData struct {
	TaskList []*LocaLTaskInfo `json:"task_list"`
	Total    string           `json:"total"`
}

type LocaLTaskInfo struct {
	TaskId             string  `json:"task_id"`
	ProjectId          string  `json:"project_id"`
	TalentId           string  `json:"talent_id"`
	FansNum            int     `json:"fans_num"`
	DraftFee           float64 `json:"draft_fee"`
	FeeFrom            int     `json:"fee_from"`
	TaskStage          int     `json:"task_stage"`
	Voteavg            int     `json:"vote_avg"`
	Commentavg         int     `json:"commit_avg"`
	CurrentDefaultType int     `json:"current_default_type"`
	From               int     `json:"from"`   //1公海，2服务商
	SType              int     `json:"s_type"` //1个人，2机构
	Boperator          string  `json:"b_operator"`
	//SettleAmount       float64   `json:"settle_amount"`
	CreateAt   time.Time `json:"create_time"`
	ISCoop     int       `json:"is_coop"`
	NickName   string    `json:"nick_name"`
	HeadUrl    string    `json:"head_url"`
	Sprojectid int       `json:"sprojectid"`
	City       string    `json:"city"`
}

func NewGetLocalTaskListRequest() *GetLocalTaskListRequest {
	return new(GetLocalTaskListRequest)
}

func NewGetLocalTaskListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetLocalTaskListData)
	return resp
}
