package http_model

import "time"

type GetPreRechargeListRequest struct {
	PageSize int `json:"page_size"`
	PageNum  int `json:"page_num"`
	Status   int `json:"status"`
}

type PreRechargeListResponse struct {
	ID                 string    `json:"id"`
	EnterPrise         string    `json:"enterprise"`
	Operator           string    `json:"operator"`
	RechargeAmount     float64   `json:"recharge_amount"`
	RechargeMethod     int64     `json:"recharge_method"`
	TransferVoucherUrl string    `json:"transfer_voucher_url"`
	Phone              string    `json:"phone"`
	CommitAt           time.Time `json:"commit_at"`
	ConfirmAt          time.Time `json:"confirm_at"`
	RefuseAt           time.Time `json:"Refuse_at"`
	FailReason         string    `json:"fail_reason"`
}

type PreRechargeListData struct {
	PreRechargeListinfo []*PreRechargeListResponse `json:"pre_recharge_list_info"`
	Total               int64                      `json:"total"`
}

func NewGetPreRechargeListRequest() *GetPreRechargeListRequest {
	return new(GetPreRechargeListRequest)
}

func NewGetPreRechargeListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(PreRechargeListData)
	return resp
}
