package http_model

import "time"

type GetTalentWithdrawListRequest struct {
	PageSize int `json:"page_size"`
	PageNum  int `json:"page_num"`
	Status   int `json:"status"`
}

type TalentWithdrawListResponse struct {
	WithdrawId string `json:"withdraw_id"`
	TalentId   string `json:"talent_id"`
	//TalentName     string    `json:"talent_name"`
	WithdrawAmount float64   `json:"withdraw_amount"`
	ActualAmount   float64   `json:"amount_payable"`
	PhoneNumber    string    `json:"phone_number"`
	ReajectAt      time.Time `json:"reject_at"`
	SubmitAt       time.Time `json:"submit_at"`
	WithdrawAt     time.Time `json:"withdraw_at"`
	RejectReason   string    `json:"reject_reason"`
	Name           string    `json:"name"`
	IdcardNumber   string    `json:"idcard_number"`
	BankNumber     string    `json:"bank_number"`
}

type TalentWithdrawListData struct {
	Total              int64                         `json:"total"`
	TalentwithdrawList []*TalentWithdrawListResponse `json:"talentwithdraw_listinfo"`
}

func NewGetTalentWithdrawListRequest() *GetTalentWithdrawListRequest {
	return new(GetTalentWithdrawListRequest)
}

func NewGetTalentWithdrawListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(TalentWithdrawListData)
	return resp
}
