package http_model

import "time"

type LocalPreDataListRequest struct {
	PageSize     int    `json:"page_size"`
	PageNum      int    `json:"page_num"`
	ProjectId    string `json:"project_id"`  // 项目ID
	DataStatus   string `json:"data_status"` // 数据状态，13待传数据
	EnterpriseId string `json:"enterprise_id"`
}

type GetLocalPreDataListData struct {
	TaskdataList []*LocalTaskdatainfo `json:"task_list"`
	Total        string               `json:"total"`
}

type LocalTaskdatainfo struct {
	Task *LocaLTaskInfo `json:"task_info"`
	DDl  time.Time      `json:"ddl"` // 截止时间
}

func NewLocalPreDataListRequest() *LocalPreDataListRequest {
	return new(LocalPreDataListRequest)
}

func NewLocalPreDataListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetLocalPreDataListData)
	return resp
}
