package http_model

import "time"

type LocalTaskLinklistRequest struct {
	PageSize     int    `json:"page_size"`
	PageNum      int    `json:"page_num"`
	ProjectId    string `json:"project_id"`  // 项目ID
	LinkStatus   string `json:"link_status"` // 链接状态，12待审
	EnterpriseId string `json:"enterprise_id"`
}

type GetLocalTaskLinkListData struct {
	LocalTaskLinklist []*LocalTaskLinkinfo `json:"task_list"`
	Total             string               `json:"total"`
}

type LocalTaskLinkinfo struct {
	Task     *LocaLTaskInfo `json:"task_info"`
	SubmitAt time.Time      `json:"submit_at"` // 提交时间
	AgreeAt  time.Time      `json:"agree_at"`
	LinkId   int            `json:"link_id"` //初稿ID
	LinkUrl  string         `json:"link_url"`
	PhotoUrl string         `json:"photo_url"`
	Operator string         `json:"operator"`
}

func NewLocalTaskLinklistRequest() *LocalTaskLinklistRequest {
	return new(LocalTaskLinklistRequest)
}

func NewLocalTaskLinklistResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetLocalTaskLinkListData)
	return resp
}
