package http_model

type FindKuaishouProductRequest struct {
	AppKey      string   `json:"app_key"`
	SignSecret  string   `json:"sign_secret"`
	AccessToken string   `json:"access_token"`
	ItemList    []string `json:"item_list"`
}

type KuaishouCarousePhoto struct {
	PhotoUrl string `json:"photo_url"` // 图片或视频url
}

type KuaishouDetailPhoto struct {
	PhotoUrl string `json:"photo_url"` // 图片或视频url
}

type FindKuaishouProductData struct {
	ProductName                 string   `json:"product_name"`                    // 商品名称
	ProductPrice                float64  `json:"product_price"`                   // 商品价值
	ProductDetail               string   `json:"product_detail"`                  // 商品描述
	KuaishouMainPhoto           string   `json:"kuaishou_main_photo"`             // 商品主图
	KuaishouCarousePhotoList    []string `json:"kuaishou_carouse_photo_list"`     // 商品轮播图列表
	KuaishouDetailPhotoList     []string `json:"kuaishou_detail_photo_list"`      // 商品详情图列表
	ProductUrl                  string   `json:"product_url"`                     // 商品链接，可为电商网址、公司官网、大众点评的店铺地址等可以说明商品信息或者品牌信息的线上地址；
	EnterpriseID                string   `json:"enterprise_id"`                   // 所属企业id
	BrandName                   string   `json:"brand_name"`                      // 品牌名称
	PublicCommission            float64  `json:"public_commission"`               // 公开佣金
	ExclusiveCommission         float64  `json:"exclusive_commission"`            // 专属佣金
	CommissionPrice             float64  `json:"commission_price"`                // 佣金金额
	KuaishouProductId           int64    `json:"kuaishou_product_id"`             // 快手商品ID
	MerchantSoldCountThirtyDays int64    `json:"merchant_sold_count_thirty_days"` // 商品30天销量
}

func NewFindKuaishouProductRequest() *FindKuaishouProductRequest {
	return new(FindKuaishouProductRequest)
}
func NewFindKuaishouProductResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(FindKuaishouProductData)
	return resp
}
