package service

import (
	"context"
	"fmt"
	"time"
	"youngee_m_api/consts"
	"youngee_m_api/db"
	"youngee_m_api/redis"
)

var Register *register

type register struct {
	sessionTTL time.Duration
}

func (r *register) CodeJudge(ctx context.Context, phone string, code string) (string, error) {
	vcode, err := r.getSession(ctx, phone)
	if err != nil {
		return "", err
	}
	// 校验验证码
	if *vcode != code {
		return "验证码有误", nil
	}
	return "", nil
}
func (r *register) AuthRegister(ctx context.Context, phone string, code string) (string, error) {
	// 获取验证码
	vcode, err := r.getSession(ctx, phone)
	if err != nil {
		return "", err
	}
	// 校验验证码
	fmt.Println("*vcode", *vcode)
	if *vcode != code {
		return "验证码有误", nil
	}
	// 获取用户信息
	user, err := db.GetUserByPhoneNumber(ctx, phone)
	if err != nil {
		return "", err
	}
	// 检查用户是否已存在
	if user != nil {
		return "手机号已存在", nil
	}
	return "", nil
}

func (r *register) getSession(ctx context.Context, phone string) (*string, error) {
	value, err := redis.Get(ctx, r.getRedisKey(phone))
	if err != nil {
		if err == consts.RedisNil {
			return nil, fmt.Errorf("not found in redis,phone:%+v", phone)
		}
		return nil, err
	}
	return &value, nil
}

func (r *register) getRedisKey(key string) string {
	return fmt.Sprintf("%s%s", consts.SessionRedisPrefix, key)
}
